For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETGet Agent Webhook
      • POSTCreate Or Update Agent Webhook
      • DELDelete Agent Webhook
      • GETList Agent Deliveries
      • POSTTest Agent Webhook
LogoLogo
HomeGet API key
API Referenceagent-webhooks

List Agent Deliveries

GET
https://api.agentphone.ai/v1/agents/:agent_id/webhook/deliveries
GET
/v1/agents/:agent_id/webhook/deliveries
1const url = 'https://api.agentphone.ai/v1/agents/agent_id/webhook/deliveries';
2const options = {
3 method: 'GET',
4 headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
5 body: '{}'
6};
7
8try {
9 const response = await fetch(url, options);
10 const data = await response.json();
11 console.log(data);
12} catch (error) {
13 console.error(error);
14}
1[
2 {
3 "id": "d4f8a9b2-3c7e-4f1a-9b2d-5e8f7a1c2b3d",
4 "messageId": "msg_987654321",
5 "eventType": "call.completed",
6 "channel": "voice",
7 "status": "delivered",
8 "httpStatus": 200,
9 "errorMessage": null,
10 "responseBody": "{\"success\":true,\"message\":\"Webhook received\"}",
11 "attemptCount": 3,
12 "lastAttemptAt": "2024-04-20T14:45:00Z",
13 "nextRetryAt": null,
14 "createdAt": "2024-04-20T14:30:00Z"
15 }
16]
Get recent webhook delivery attempts for a specific agent's webhook.
Was this page helpful?
Previous

Test Agent Webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Query parameters

limitintegerOptional<=100Defaults to 50

Response

Successful Response
idstring
messageIdstring or null
eventTypestring or null
channelstring or null
statusstring
httpStatusinteger or null
errorMessagestring or null
responseBodystring or null
attemptCountinteger
lastAttemptAtdatetime or null
nextRetryAtdatetime or null
createdAtdatetime

Errors

422
Unprocessable Entity Error